player_wsn_cmd Struct Reference

Command: set device state (PLAYER_WSN_CMD_DEVSTATE) This `wsn` command sets the state of the node's indicator lights or its buzzer/sounder (if equipped with one). More...

`#include <player_interfaces.h>`

## Public Attributes

int32_t | node_id
| The ID of the WSN node. More...
int32_t | group_id
| The Group ID of the WSN node. More...
uint32_t | device
| The device number. More...
uint8_t | enable
| The state: 0=disabled, 1=enabled. More...

## Detailed Description

Command: set device state (PLAYER_WSN_CMD_DEVSTATE) This `wsn` command sets the state of the node's indicator lights or its buzzer/sounder (if equipped with one).

## Member Data Documentation

uint32_t player_wsn_cmd::device

The device number.

uint8_t player_wsn_cmd::enable

The state: 0=disabled, 1=enabled.

int32_t player_wsn_cmd::group_id

The Group ID of the WSN node.

-1 for all.

int32_t player_wsn_cmd::node_id

The ID of the WSN node.

-1 for all.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45